Bug 1282847 - bug-948686.t fails spuriously
bug-948686.t fails spuriously
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Atin Mukherjee
:
Depends On: 1258714
Blocks: 1258798
  Show dependency treegraph
 
Reported: 2015-11-17 10:52 EST by Atin Mukherjee
Modified: 2017-03-08 06:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1258714
Environment:
Last Closed: 2017-03-08 06:03:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Atin Mukherjee 2015-11-17 10:52:35 EST
+++ This bug was initially created as a clone of Bug #1258714 +++

Description of problem:

bug-948686.t intermittely ends up in a race in GlusterD where one thread deletes
a stale volume and on a volume start request a start is attempted on the same   object which might be freed up by the other thread. We are considering to use  refcounting mechanism while accessing volinfo objects to get rid of this problem
but that needs a significant amount of time in development. Till then adding
this test in bad_tests ()

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
Intermittent

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Anand Avati on 2015-09-01 01:37:21 EDT ---

REVIEW: http://review.gluster.org/12070 (tests: add bug-948686.t to bad_tests) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Anand Avati on 2015-09-01 04:42:34 EDT ---

COMMIT: http://review.gluster.org/12070 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit 99cd07c596f74b1ee8a88c4a43b37eb0921e5fe2
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Tue Sep 1 10:53:19 2015 +0530

    tests: add bug-948686.t to bad_tests
    
    bug-948686.t intermittely ends up in a race in GlusterD where one thread deletes
    a stale volume and on a volume start request a start is attempted on the same
    object which might be freed up by the other thread. We are considering to use
    refcounting mechanism while accessing volinfo objects to get rid of this problem
    but that needs a significant amount of time in development. Till then adding
    this test in bad_tests ()
    
    Change-Id: I3ddc025b07c47b17ea75554d5cc809a839365f10
    BUG: 1258714
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/12070
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Atin Mukherjee on 2015-10-09 13:07:12 EDT ---

http://review.gluster.org/12329 posted for review to remove the test from bad test

--- Additional comment from Vijay Bellur on 2015-10-12 02:45:07 EDT ---

REVIEW: http://review.gluster.org/12329 (tests: spurious failure fix for bug-948686.t) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 23:23:54 EST ---

REVIEW: http://review.gluster.org/12329 (tests: spurious failure fix for bug-948686.t) posted (#3) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-17 09:36:21 EST ---

COMMIT: http://review.gluster.org/12329 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 0f35b301fcb539dd85a1dae202b3ce532852d4d6
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Fri Oct 9 22:31:28 2015 +0530

    tests: spurious failure fix for bug-948686.t
    
    Ensured import volume and volume start doesn't race in volinfo by refcounting
    volinfo.
    
    Change-Id: I7467eccaba9a00fd63ba0121d8157df24d1c00a6
    BUG: 1258714
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/12329
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 1 Vijay Bellur 2015-11-17 22:56:27 EST
REVIEW: http://review.gluster.org/12601 (tests: spurious failure fix for bug-948686.t) posted (#1) for review on release-3.7 by Atin Mukherjee (amukherj@redhat.com)
Comment 2 Raghavendra Talur 2016-03-08 14:51:18 EST
"tests" component is for tests framework only.
File a bug under test component if you find a bug in 
1. any of the *.rc files under tests/ 
2. run-tests.sh


For everything else, the bug should be filed on
1. component which is being tested by .t file if the .t file requires fix.
2. component which is causing a valid .t file to fail in regression.

I have used my best judgement here to move the bug to right component.
In case of ambiguity, I have placed the blame on the .t file component.

Please consider test bugs under the same backlog list that tracks other bugs in your component.
Comment 3 Mike McCune 2016-03-28 18:15:42 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Kaushal 2017-03-08 06:03:57 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.